Name:           python-nequip
Version:        0.12.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        NequIP is an open-source code for building E(3)-equivariant interatomic potentials.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/mir-group/nequip
Source:         %{pypi_source nequip}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'nequip' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-nequip
Summary:        %{summary}

%description -n python3-nequip %_description


%prep
%autosetup -p1 -n nequip-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-nequip -f %{pyproject_files}


%changelog
%autochangelog